
%global meadversion 1.0.2
%global namedversion 1.0.2.redhat-00001
%global meadalpha .redhat_00001
%global meadrel .1
%global serial 3
%global namedversionrel redhat-00001

%bcond_with javadoc
%bcond_without mead

%{?scl:%scl_package jakarta-security-enterprise-api}
%{!?scl:%global pkg_name %{name}}

%define maven_version 1.0.2.redhat-00001

Name:           %{?scl_prefix}jakarta-security-enterprise-api
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:          0
Summary:        Enterprise Security API
License:        EPL-2.0 or GPLv2 with exceptions
URL:            https://github.com/jboss/jboss-jaxrs-api_spec
Group:          Development/Java

%if %with mead
Source100: jakarta.security.enterprise-api-1.0.2.redhat-00001-project-sources.tar.gz
Source102: jakarta.security.enterprise-api-1.0.2.redhat-00001.jar
Source103: jakarta.security.enterprise-api-1.0.2.redhat-00001-javadoc.jar
Source104: jakarta.security.enterprise-api-1.0.2.redhat-00001.pom
Source105: jakarta.security.enterprise-api-1.0.2.redhat-00001-sources.jar
%endif


BuildRequires:  unzip
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{namedversion}-%{release}-root

%description
Security API for Java EE Applications

%if %with javadoc
%package javadoc
Summary:        Javadoc for jakarta-security-enterprise-api
Group:          Development/Documentation

BuildRequires:  jpackage-utils

%description javadoc
%{summary}.
%endif

%prep
%setup -q -n jakarta.security.enterprise-api-%{namedversion} -T -b 100

%build

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}
%{__cp} -p %{_sourcedir}/jakarta.security.enterprise-api-%{namedversion}.jar %{buildroot}%{_javadir}/jakarta.security.enterprise-api-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/jakarta.security.enterprise-api-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/jakarta.security.enterprise-api-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/jakarta.security.enterprise-api-%{namedversion}-sources.jar %{buildroot}%{_javadir}/jakarta.security.enterprise-api-%{namedversion}-sources.jar
(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

%if %with javadoc
# javadoc
%{__mkdir_p} %{buildroot}%{_javadocdir}/jakarta-security-enterprise-api-%{namedversion}
%{_bindir}/unzip -qq %{_sourcedir}/jakarta.security.enterprise-api-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/jakarta.security.enterprise-api-%{namedversion} -x META-INF/\*
%{__ln_s} jakarta-security-enterprise-api-%{namedversion} %{buildroot}%{_javadocdir}/jakarta.security.enterprise-api
%endif

%clean
%{__rm} -rf %{buildroot}


%files
%defattr(0644,root,root,0755)
%{_javadir}/jakarta.security.enterprise-api-%{namedversion}.jar
%{_javadir}/jakarta.security.enterprise-api.jar
%if %with javadoc
%{_javadir}/jakarta.security.enterprise-api-%{namedversion}-javadoc.jar
%{_javadir}/jakarta.security.enterprise-api-javadoc.jar
%endif
%{_javadir}/jakarta.security.enterprise-api-%{namedversion}-sources.jar
%{_javadir}/jakarta.security.enterprise-api-sources.jar

%if %with javadoc
%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/jakarta.security.enterprise-api-%{namedversion}
%{_javadocdir}/jakarta.security.enterprise-api
%endif


%changelog
* Thu Dec 05 2019 Permaine Cheung <pcheung@redhat.com> - 1.0.2-3.redhat_00001.1
- Fix license as flagged by rpmdiff

* Wed Nov 06 2019 Permaine Cheung <pcheung@redhat.com> - 1.0.2-2.redhat_00001.1
- Fix jar name

* Tue Sep 24 2019 Yong Yang <yyang@redhat.com> - 1.0.2-1.redhat_00001.1
- RPM wrapper build 1.0.2.redhat-00001

* Thu Sep 19 2019 Yong Yang <yyang@redhat.com> - 1.0.1-1.redhat_00001.1
- RPM wrapper build 1.0.1.redhat-00001

* Mon Sep 16 2019 Yong Yang <yyang@redhat.com> - 1.0.1-1.Final_redhat_00001.1
- First RPM wrapper build
